Ubuntu

[915GM] S-video output doesn't work in Natty (i386)

Reported by Sergey "Shnatsel" Davidoff on 2011-04-17
252
This bug affects 50 people
Affects Status Importance Assigned to Milestone
Linux
Expired
Low
Release Notes for Ubuntu
Undecided
Unassigned
xf86-video-intel
Invalid
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
Medium
Unassigned
xserver-xorg-video-intel (openSUSE)
New
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-intel

S-video outputs black screen instead of the image. This issue was not present in Maverick.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
CheckboxSubmission: 0b9cf8e9029d0bf1dacbb6571592efb5
CheckboxSystem: b845c366ea09c60efa3a45c1b5b21525
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.DVI.D.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: Off
 modes: 1024x768
 edid-base64: AP///////wAJ5ZgIAAAAAAAOAQOAGBJ4Co1RklVOiSYoTlQACAABAQEBAQEBAQEBAQEBAQEBZBkAQEEAJjAYiDYA9bgAAAAYAAAA/gAgCiAgICAgICAgICAgAAAA/gBCT0UgSFlESVMKICAgAAAA/gBIVDEyWDIxLTIyMAogAJ0=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Sun Apr 17 15:10:34 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
GdmLog2:

GraphicsCard:
 Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 03) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:0938]
   Subsystem: Hewlett-Packard Company Device [103c:0938]
LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110417)
MachineType: Hewlett-Packard HP Compaq tc4200 (ED911UC#ACB)
PccardctlIdent:
 Socket 0:
   product info: "HP Bluetooth PC Card Mouse", " ", "", ""
PccardctlStatus:
 Socket 0:
   5.0V 16-bit PC Card
   Subdevice 0 (function 0) [unbound]
ProcEnviron:
 LANGUAGE=ru_RU:en
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: noprompt cdrom-detect/try-usb=true persistent file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- debian-installer/language=ru keyboard-configuration/layoutcode?=ru
Renderer: Unknown
SourcePackage: xserver-xorg-video-intel
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/15/2005
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68DTH Ver. F.08
dmi.board.name: 0938
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 38.58
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68DTHVer.F.08:bd09/15/2005:svnHewlett-Packard:pnHPCompaqtc4200(ED911UC#ACB):pvrF.08:rvnHewlett-Packard:rn0938:rvrKBCVersion38.58:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP Compaq tc4200 (ED911UC#ACB)
dmi.product.version: F.08
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.4+bzr20110415-0ubuntu1
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu1
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller [8086:2590] (rev 03)
     Subsystem: Hewlett-Packard Company Device [103c:0938]
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 03) (prog-if 00 [VGA controller])
     Subsystem: Hewlett-Packard Company Device [103c:0938]

tags: added: regression-release
Bryce Harrington (bryce) on 2011-04-18
summary: - S-video output doesn't work in Natty
+ S-video output doesn't work in Natty (i386)
summary: - S-video output doesn't work in Natty (i386)
+ [915GM] S-video output doesn't work in Natty (i386)

I've just checked Maverick, it works fine.

tags: added: iso-testing
Bryce Harrington (bryce) wrote :

Can you attach the output of xrandr --verbose from Maverick when it's working. I'd like to see the /var/log/Xorg.0.log from that case as well.

Also, on natty please turn on drm debugging. You can do this using the xdiagnose utility, it's the first checkbox in the dialog. Reboot and then reproduce the bug, and then run 'dmesg > dmesg.txt' and attach it to this bug report.

Bryce Harrington (bryce) on 2011-04-21
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
Bryce Harrington (bryce) on 2011-04-21
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → Medium
bugbot (bugbot) on 2011-04-24
tags: added: tv-out
bugbot (bugbot) on 2011-04-27
description: updated
VooDooStevie (voodoostevie) wrote :

This issue also is affecting Acer 5720s and apparently a DELL Latitude user reported a similar issue on ubuntu forums (http://ubuntuforums.org/showthread.php?p=10740985)

Scott Todd (scott.todd) wrote :

I have a Toshiba laptop with the same issue. Worked with Maverick, liveCD and upgrade both fail.

Scott Todd (scott.todd) wrote :

Also, fails with/without unity. Tested using Classic mode and Classic (no effects).

VooDooStevie (voodoostevie) wrote :

This also happens under Kubuntu where the multiple monitors worked under 10.10 but not under 11.04. Just tested with live sessions.

Mario Gutierrez (marioangler) wrote :

Having the same problem with Dell Inspiron 9400. S-Video worked flawless with Ubuntu 10.10, now its not working at at under natty, although for a brief milisecond there, when pressiing Fn+F8 the desktops background can be seen on the TV, but only for a milisecond or two.

looked in my /etc/X11 directory but couldnt find xorg.conf

I'm experiencing the same problem with an HP Compaq tc4400, but I'm sure its Intel 945. S-Video worked well in previous versions, now nothing??? Experiencing same brief flash when using the function key.

Is there a time frame on the fix roll-out for this bug. It is a major stumbling block for me on the road doing presentations.

Carl, (Surfduke), Hewlett

Emilio (efsanche) wrote :

I have got the same problem with HP Compaq 6710b.

Ferdi (ferdi-sttc-nlp) wrote :

The same problem is effecting my Dell latitude D520. I can no longer use it with my television (used it primarily as media player with my television). Reverting back to Maverick for now, that works flawless.
The following controller is present:
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

WhyteHorse (whytehorse) wrote :

This bug also affects Acer 4720z with Intel Corporation Mobile GM965/GL960 after upgrade to 11.04. Was working fine in 10.10. Is there a workaround? Perhaps we can regress the driver? Maybe disable Compiz or something? Anything? Anyone? Bueller?

WhyteHorse (whytehorse) wrote :

bump

WhyteHorse (whytehorse) wrote :

I just tried the latest xorg edgers drivers from their ppa. Same problem with those drivers. It looks like display(what should be displayed) isn't being sent to the TV1 output or perhaps it is being sent and the TV1 is set to the wrong signal output.

Please give a update on the progress towards a fix, (If any).

Thanks,

Carl

joe robinson (joerobinson) wrote :

just did an install with an asus v7100pro and i had to use the no acpi option just to be able to install it and now all i get is a big pink screen. As my tv is my only monitor at the moment so i have to use svideo and this card is nvidia i cannot upgrade. Also natty live cd will not work on main pc which uses nvidia 8400 gs 512 with s-video.

joe robinson (joerobinson) wrote :

just thought pressing esc and using no acpi gets the live cd working. other people should test this but do not install i haven't gotten the installed version working yet.

Same problem here. My laptop is a Lenovo 3000 N200 (type 769) with an Intel 965GM Express Chipset - no video output through S-video, and garbled output through the VGA connector.

si14 (a2alt) wrote :

When I plug displayport cable in, the picture on both monitors (laptop and external) disappears. My laptop is thinkpad x220 with Intel Sandy Bridge CPU/GPU.

William Nagy (wnags) wrote :

My Acer Aspire 4720z only goes black on both screens when I enable "same image for all screens". I hope someone fixes this by 11.10 as I'm stuck using 10.04 for production again.

William Nagy (wnags) wrote :

tested 64bit. Sadly the same, so its not just i386.

Bob Simians (simians84) wrote :

I've got a Thinkpad G40 with Intel 855G chipset and it won't output the VGA or recognize the monitors or the TV or anything.

William Nagy (wnags) wrote :

anyone had any luck yet.
Nothing for me, Ive tried totally rewriting xorg.conf manually too.....
Damn, is there no fix for this.....

Angel Garcia (angel-mgv) wrote :

I tried with OpenSuse 11.04, and It has the same problem, so I have to use ushare(upnp) or use Win7 to see something on my TV, I hope that it 'll be fixed in 11.10 xd

VooDooStevie (voodoostevie) wrote :

Let's hope a fix is sooner than 11.10. A six month wait for a bug fix is kind of harsh.

endre (mlp-3) wrote :

Tried Xorg intel driver from maverick but no luck. Then tried maverick's kernel with both intel drivers and they work, so I think the bug is in the kernel's intel vga part, not xserver-xorg-video-intel.

However, if I press Fn-F8, tvout turns off permanently and I can't re-enable it until a reboot.

This is a Dell Latitude D530 with
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 0c)

Donatas Glodenis (dgvirtual) wrote :

I have also reinstalled the last kernel from maverick-updates in my i686 system running Natty, and when I boot using this kernel I can use s-video output without any problems.

Should the bug be reassigned to kernel?

The kernel I installed: linux-image-2.6.35-30-generic_2.6.35-30.54_i386.deb

Works for me in Oneiric dailies.

Donatas Glodenis (dgvirtual) wrote :

I installed a kernel from Oneiric on my Natty system, and the s-video is working as well.

the installed kernel: 3.0-2-generic

I think this completely proves that the problem is in the Natty kernel and not in xserver-xorg-video-intel package. Please change the package that this bug is filed against...

evgheni (evgheni-ermolaev) wrote :

I have tried to downgrade the driver to maverick version. This did not solve the problem. My new suspicion is that this is a compiz bug. also reflected here https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/723002.

I will try to disable compiz and see what happens. Will report back later.

Changed in xserver-xorg-video-intel:
status: New → Invalid
affects: xserver-xorg-video-intel → about-sabily-sub-menu
affects: about-sabily-sub-menu → xserver-xorg-video-intel
Download full text (4.7 KiB)

I run KDE, so, I have kwin and not compiz. Based on my tests with different
kernels, it must be a natty kernel issue.
On 2011.07.02 17:59, "evgheni" <email address hidden> wrote:
> ** Project changed: about-sabily-sub-menu => xserver-xorg-video-intel
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (782887).
> https://bugs.launchpad.net/bugs/763688
>
> Title:
> [915GM] S-video output doesn't work in Natty (i386)
>
> Status in Release Notes for Ubuntu:
> New
> Status in X.org xf86-video-intel:
> Invalid
> Status in “xserver-xorg-video-intel” package in Ubuntu:
> Confirmed
> Status in “xserver-xorg-video-intel” package in openSUSE:
> New
>
> Bug description:
> Binary package hint: xserver-xorg-video-intel
>
> S-video outputs black screen instead of the image. This issue was not
> present in Maverick.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic i686
> Architecture: i386
> CheckboxSubmission: 0b9cf8e9029d0bf1dacbb6571592efb5
> CheckboxSystem: b845c366ea09c60efa3a45c1b5b21525
> CompizPlugins:
[core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
> CompositorRunning: compiz
> DRM.card0.DVI.D.1:
> status: disconnected
> enabled: disabled
> dpms: Off
> modes:
> edid-base64:
> DRM.card0.LVDS.1:
> status: connected
> enabled: enabled
> dpms: Off
> modes: 1024x768
> edid-base64:
AP///////wAJ5ZgIAAAAAAAOAQOAGBJ4Co1RklVOiSYoTlQACAABAQEBAQEBAQEBAQEBAQEBZBkAQEEAJjAYiDYA9bgAAAAYAAAA/gAgCiAgICAgICAgICAgAAAA/gBCT0UgSFlESVMKICAgAAAA/gBIVDEyWDIxLTIyMAogAJ0=
> DRM.card0.VGA.1:
> status: disconnected
> enabled: disabled
> dpms: Off
> modes:
> edid-base64:
> Date: Sun Apr 17 15:10:34 2011
> DistUpgraded: Fresh install
> DistroCodename: natty
> DistroVariant: ubuntu
> GdmLog2:
>
> GraphicsCard:
> Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller
[8086:2592] (rev 03) (prog-if 00 [VGA controller])
> Subsystem: Hewlett-Packard Company Device [103c:0938]
> Subsystem: Hewlett-Packard Company Device [103c:0938]
> LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110417)
> MachineType: Hewlett-Packard HP Compaq tc4200 (ED911UC#ACB)
> PccardctlIdent:
> Socket 0:
> product info: "HP Bluetooth PC Card Mouse", " ", "", ""
> PccardctlStatus:
> Socket 0:
> 5.0V 16-bit PC Card
> Subdevice 0 (function 0) [unbound]
> ProcEnviron:
> LANGUAGE=ru_RU:en
> LANG=ru_RU.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: noprompt cdrom-detect/try-usb=true persistent
file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet
splash -- debian-installer/language=ru keyboard-configuration/layoutcode?=ru
> Renderer: Unknown
> SourcePackage: xserver-xorg-video-intel
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/15/2005
> dmi.bios.vendor: Hewlett-Packard
> dmi.bios.version: 68DTH Ver. F.08
> dmi.board.name: 0938
> dmi.board.vendor: Hewl...

Read more...

Donatas Glodenis (dgvirtual) wrote :
Download full text (4.9 KiB)

I run KDE, so, I have kwin and not compiz. Based on my tests with different
kernels, it must be a natty kernel issue.

> On 2011.07.02 17:59, "evgheni" <email address hidden> wrote:
> > ** Project changed: about-sabily-sub-menu => xserver-xorg-video-intel
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (782887).
> > https://bugs.launchpad.net/bugs/763688
> >
> > Title:
> > [915GM] S-video output doesn't work in Natty (i386)
> >
> > Status in Release Notes for Ubuntu:
> > New
> > Status in X.org xf86-video-intel:
> > Invalid
> > Status in “xserver-xorg-video-intel” package in Ubuntu:
> > Confirmed
> > Status in “xserver-xorg-video-intel” package in openSUSE:
> > New
> >
> > Bug description:
> > Binary package hint: xserver-xorg-video-intel
> >
> > S-video outputs black screen instead of the image. This issue was not
> > present in Maverick.
> >
> > ProblemType: Bug
> > DistroRelease: Ubuntu 11.04
> > Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
> > ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> > Uname: Linux 2.6.38-8-generic i686
> > Architecture: i386
> > CheckboxSubmission: 0b9cf8e9029d0bf1dacbb6571592efb5
> > CheckboxSystem: b845c366ea09c60efa3a45c1b5b21525
> > CompizPlugins:
[core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
> > CompositorRunning: compiz
> > DRM.card0.DVI.D.1:
> > status: disconnected
> > enabled: disabled
> > dpms: Off
> > modes:
> > edid-base64:
> > DRM.card0.LVDS.1:
> > status: connected
> > enabled: enabled
> > dpms: Off
> > modes: 1024x768
> > edid-base64:
AP///////wAJ5ZgIAAAAAAAOAQOAGBJ4Co1RklVOiSYoTlQACAABAQEBAQEBAQEBAQEBAQEBZBkAQEEAJjAYiDYA9bgAAAAYAAAA/gAgCiAgICAgICAgICAgAAAA/gBCT0UgSFlESVMKICAgAAAA/gBIVDEyWDIxLTIyMAogAJ0=
> > DRM.card0.VGA.1:
> > status: disconnected
> > enabled: disabled
> > dpms: Off
> > modes:
> > edid-base64:
> > Date: Sun Apr 17 15:10:34 2011
> > DistUpgraded: Fresh install
> > DistroCodename: natty
> > DistroVariant: ubuntu
> > GdmLog2:
> >
> > GraphicsCard:
> > Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller
[8086:2592] (rev 03) (prog-if 00 [VGA controller])
> > Subsystem: Hewlett-Packard Company Device [103c:0938]
> > Subsystem: Hewlett-Packard Company Device [103c:0938]
> > LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110417)
> > MachineType: Hewlett-Packard HP Compaq tc4200 (ED911UC#ACB)
> > PccardctlIdent:
> > Socket 0:
> > product info: "HP Bluetooth PC Card Mouse", " ", "", ""
> > PccardctlStatus:
> > Socket 0:
> > 5.0V 16-bit PC Card
> > Subdevice 0 (function 0) [unbound]
> > ProcEnviron:
> > LANGUAGE=ru_RU:en
> > LANG=ru_RU.UTF-8
> > SHELL=/bin/bash
> > ProcKernelCmdLine: noprompt cdrom-detect/try-usb=true persistent
file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet
splash -- debian-installer/language=ru keyboard-configuration/layoutcode?=ru
> > Renderer: Unknown
> > SourcePackage: xserver-xorg-video-intel
> > UpgradeStatus: No upgrade log present (probabl...

Read more...

Angel Garcia (angel-mgv) wrote :

I tried with Kernel v3.0-rc2, and I still have the same problem, S-video doesn't work, and also, my headphones don't make any sound, (my speakers works fine). I'm using kubuntu 11.04 and intel GM965/GL960

Mario Gutierrez (marioangler) wrote :

Well bummer, finally found a "solution". Had to install ubuntu 10.10 back! Let us know when the natty version is functional.

Angel Garcia (angel-mgv) wrote :

I installed kernel 2.6.34 and finally s-video works on Kubuntu 11.04 xd

VooDooStevie (voodoostevie) wrote :

So downgrading is the way to alleviate the issue? Feels so... Windows like. Where XP is the upgrade for Vista.

I guess I will try that method myself, but if using an old kernel on a new distro is the only fix for the bug then something isn't right from the last kernel version in 10.10 up.

d❤vid seaward (kwill) wrote :

I got a kernel update this morning. It has *partially* fixed the problem. If I plug my machine into the TV via S-Video an image now appears. However, every 2 minutes (approx) the TV screen (but not the laptop monitor) flashes blue (it displays blue if there is no signal or the laptop is not plugged in).

The updates were for "Linux kernel headers for version 2.6.38 on x86/x86_64". Packages linux-headers-2.6.38-10-generic and friends were added.

d❤vid seaward (kwill) wrote :

Can someone please mark this bug as affecting the kernel package(s)? I'm guessing the kernel team don't know about it, and I doubt there will be further progress until they do.

Miklos Espak (espakm) wrote :

I added the kernel to the affected projects. I found the same bug on kernel.org. Same VGA chipset, same symptoms. It was reported at Christmas, and no response arrived, though.

https://bugzilla.kernel.org/show_bug.cgi?id=25662

Changed in linux:
importance: Unknown → Low
status: Unknown → Confirmed
d❤vid seaward (kwill) wrote :

Thanks Miklos, I've added what I can to that ticket, here's hoping.

Donatas Glodenis (dgvirtual) wrote :

as mentioned in comment #41 the kernel upgrade partially fixed the problem. As for my computer (specs described in a duplicate Bug #782887) all seems to be fine except that the tv-screen (not the laptop screen) flickers every 10 seconds exactly. I tried running xrandr without any arguments and it seems that the flicker I get every 10 seconds is the same as the one I get when running xrandr. Must be related to some system-run xrandr probe?

Is there a way to disable the system probes?

Donatas Glodenis (dgvirtual) wrote :

Forgot to mention: the kernel that partially fixes the problem:
dg@bala:~$ uname -r
2.6.38-10-generic

d❤vid seaward (kwill) wrote :

@Donatas Glodenis: I've asked about xrandr probing - http://askubuntu.com/questions/54422/is-there-a-way-to-disable-or-limit-system-xrandr-probes - no answers yet but some searching has revealed references to gnome-settings-daemon and http://live.gnome.org/RandR - nothing I've been able to uncover yet but could be helpful for the workaround you suggested?

intialonso (intialonso) wrote :

Theres no news?

Donatas Glodenis (dgvirtual) wrote :

There was another kernel update (2.6.38-11-generic), but the flicker problem did not go away. Well, Oneiric is coming soon... Although it sucks you have to stick to workarounds for 6 months, at least we do have a few workarounds in case of this bug.

intialonso (intialonso) wrote :

I think this a high importance bug... I had to install windows just to watch movies on my TV...

William Nagy (wnags) wrote :

why did you install windows?
I just went back to 10.04,

Ste (ste-jervis) wrote :

Is there an easy way to roll back to 10.04 without a fresh install? Or can you upgrade the kernel without completely installing Oneiric?

Donatas Glodenis (dgvirtual) wrote :
Download full text (5.3 KiB)

In Konsole, do:

wget http://ubuntu.linux-bg.org/ubuntu//pool/main/l/linux/linux-image-2.6.35-30-generic_2.6.35-30.54_i386.deb
sudo dpkg -i linux-image-2.6.35-30-generic_2.6.35-30.54_i386.deb

Then reboot and choose the older kernel.

You can also upgrade to a kernel from oneiric. You will have to find
it in packages.ubuntu.com, download it, install it and then download
and install the missing dependencies also from oneiric. I have tried
it, it works, but I found it simpler to use the older kernel just when
I want to watch movies through my tv screen.

Donatas

2011/9/21 Ste <email address hidden>:
> Is there an easy way to roll back to 10.04 without a fresh install? Or
> can you upgrade the kernel without completely installing Oneiric?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (782887).
> https://bugs.launchpad.net/bugs/763688
>
> Title:
>  [915GM] S-video output doesn't work in Natty (i386)
>
> Status in The Linux Kernel:
>  Confirmed
> Status in Release Notes for Ubuntu:
>  New
> Status in X.org xf86-video-intel:
>  Invalid
> Status in “xserver-xorg-video-intel” package in Ubuntu:
>  Confirmed
> Status in “xserver-xorg-video-intel” package in openSUSE:
>  New
>
> Bug description:
>  Binary package hint: xserver-xorg-video-intel
>
>  S-video outputs black screen instead of the image. This issue was not
>  present in Maverick.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.04
>  Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
>  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
>  Uname: Linux 2.6.38-8-generic i686
>  Architecture: i386
>  CheckboxSubmission: 0b9cf8e9029d0bf1dacbb6571592efb5
>  CheckboxSystem: b845c366ea09c60efa3a45c1b5b21525
>  CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
>  CompositorRunning: compiz
>  DRM.card0.DVI.D.1:
>   status: disconnected
>   enabled: disabled
>   dpms: Off
>   modes:
>   edid-base64:
>  DRM.card0.LVDS.1:
>   status: connected
>   enabled: enabled
>   dpms: Off
>   modes: 1024x768
>   edid-base64: AP///////wAJ5ZgIAAAAAAAOAQOAGBJ4Co1RklVOiSYoTlQACAABAQEBAQEBAQEBAQEBAQEBZBkAQEEAJjAYiDYA9bgAAAAYAAAA/gAgCiAgICAgICAgICAgAAAA/gBCT0UgSFlESVMKICAgAAAA/gBIVDEyWDIxLTIyMAogAJ0=
>  DRM.card0.VGA.1:
>   status: disconnected
>   enabled: disabled
>   dpms: Off
>   modes:
>   edid-base64:
>  Date: Sun Apr 17 15:10:34 2011
>  DistUpgraded: Fresh install
>  DistroCodename: natty
>  DistroVariant: ubuntu
>  GdmLog2:
>
>  GraphicsCard:
>   Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 03) (prog-if 00 [VGA controller])
>     Subsystem: Hewlett-Packard Company Device [103c:0938]
>     Subsystem: Hewlett-Packard Company Device [103c:0938]
>  LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110417)
>  MachineType: Hewlett-Packard HP Compaq tc4200 (ED911UC#ACB)
>  PccardctlIdent:
>   Socket 0:
>     product info: "HP Bluetooth PC Card Mouse", " ", "", ""
>  PccardctlStatus:
>   Socket 0:
>     ...

Read more...

Donatas Glodenis (dgvirtual) wrote :

To upgrade to kernel from Maverick, go to Konsole, and do:

wget http://ubuntu.linux-bg.org/ubuntu//pool/main/l/linux/linux-image-2.6.35-30-generic_2.6.35-30.54_i386.deb
sudo dpkg -i linux-image-2.6.35-30-generic_2.6.35-30.54_i386.deb

Then reboot and choose the older kernel.

You can also upgrade to a kernel from oneiric. You will have to find it in packages.ubuntu.com, download it, install it and then download and install the missing dependencies also from oneiric. I have tried it, it works, but I found it simpler to use the older kernel just when I want to watch movies through my tv screen.

Ste (ste-jervis) wrote :

Thanks Donatas!

Donatas Glodenis (dgvirtual) wrote :

I should have written "To DOWNGRADE to kernel from Maverick" or rather, "to INSTALL a kernel from Maverick", actually, since it is rather downgrade than upgrade, and not a real downgrade either, unless you remove the natty kernel afterwards.

The most trustworthy source for Ubuntu kernels is http://kernel.ubuntu.com/~kernel-ppa/mainline/

Laurence Aronberg (lozza999) wrote :

Anyone know if/when this bug will be fixed?

Angel Garcia (angel-mgv) wrote :

@Laurence Aronberg. I don't know when, but this bug is still presenting in the most recently kernel.
I'm using

    Linux angel-Aspire-5720Z 3.1.0-0301rc2-generic

and I still have the same bug, as I said in #39 using and old kernel fix the problem

Laurence Aronberg (lozza999) wrote :

Thanks @Angel Garcia, that did the trick. Just in case it helps anyone, mine was a fresh install of 11.04 not an upgrade so I followed the instructions at http://www.ramoonus.nl/2010/05/linux-kernel-2-6-34-installation-guide-for-ubuntu-linux-10-04/ to change the kernel - after changing the boot order to the old kernel, the bug was gone.

Ste (ste-jervis) wrote :

Is anyone still having trouble with this in Ocelot?

Angel Garcia (angel-mgv) wrote :

@Ste

yes, you can find this bug in oneric because, it's a kernel problem, and Ubuntu 11.10 uses kernel 3.0.0-12-generic

I'm using Kubuntu 11.10, and S-video doesn't work with this kernel

Donatas Glodenis (dgvirtual) wrote :

I am also using Kubuntu 11.10, and s-video IS WORKING for me, though it did not in natty...

d❤vid seaward (kwill) wrote :

I'm now using Ubuntu 11.10 and the issue does not occur with kernel 3.0.0-12 or 3.0.0-13. I resolved it in Ubuntu 11.04 by installing a mainline kernel (approx 3.1), which I've since disabled in favor of the kernel released with 11.10.

jtuchscherer (jtuchscherer) wrote :

I also still have this issue with my GM965 on 3.0.0-13-generic running Kubuntu

Emilio (efsanche) wrote :

I still have this problem in compaq 6710b, running ubuntu 11.10 with kernel 3.0.0-13-generic

Donatas Glodenis (dgvirtual) wrote :

I think it would help the developers to have more detailed descriptions of the problem as it relates to oneiric.

For example, it is not clear from the above posts what the problem is exactly, for it has variously been described before. Does the second screen flicker, does it show anything at all?

L Schmiedl (lutz-schmiedl) wrote :

I can confirm the problem on Xubuntu 11.10 to. I don't get any signal on the TV screen with kernel 3.0.0-12
and kernel 3.0.0-13. The s-video port is detected and listed on xrandr. The refresh rate is given with 30hz, but
is seems to bee wrong for a PAL-TV.

If I use an installed lucid kernel 2.6.32-36 so I can switch on the s-video port and I get the expected picture
on my TV screen. But is not possible to switch the s-video port off again.

On Ubuntu 10.04 and Debian Squeeze the s-video port is able to work as expected. I can switch it on/off and
I can change the resolution and TV norm (PAL <-> NTSC) as well.

Dmitriy Kodanev (dkodanev) wrote :

I use Xubuntu 11.10 too and I confirm that this bug does exist. Some time ago I had a need to connect my Acer Extensa 4220 laptop to a TV set via S-Video. I could see options window and choose "TV out" on the screen of my laptop but TV set screen stayed black. Then I had done a series of experiments with Ubuntu LiveCD's and I had stated that it was alright in Ubuntu 10.10 and something went wrong in Ubuntu 11.04. With Ubuntu 10.10 I could see image both on my laptop screen and a TV set via S-Video connection.

I see people having - I guess - the same problem with Ubuntu and another distros, with new kernels and drivers too:

http://www.linuxine.com/story/ubuntu-no-s-video-out-1104-intel-945gm

http://forums.fedoraforum.org/showthread.php?t=268870

http://www.linux-archive.org/debian-user/559119-s-video-debian.html

So I think the problem still exists and it haven't been solved yet.

My solution for now is to use live USB stick with Linux Mint 9 Rosinka (Russian version 'cos I'm from Russia).
But I'd like to have a real solution with new kernel, new software, new drivers because using old versions is a step back and sign of regress. This bug should be fixed.

intialonso (intialonso) wrote :

I confirm in Ubuntu 11.10, svideo output a black screen. Installed the lucid kernel just to get the svideo working again.

I was hoping this issue would have been resolved on 12.04 but it seems not.
I have a Intel GM965 integrated video card and SVGA out is not working. It does work with 10.04.

The TV is detected, I can see the screen flicker, and I can move the mouse to it, but the TV screen is black.

stefan@stefan-Extensa-5220:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 03)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (secondary) (rev 03)
00:1a.0 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801HM/HEM (ICH8M/ICH8M-E) SATA Controller [IDE mode] (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
02:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)
04:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev 01)
0f:06.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
0f:06.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
0f:06.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
0f:06.3 SD Host controller: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller

stefan@stefan-Extensa-5220:~$ xrandr
Screen 0: minimum 320 x 200, current 2080 x 800, maximum 8192 x 8192
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
1280x800 60.0*+
1024x768 60.0
800x600 60.3 56.2
640x480 59.9
VGA1 disconnected (normal left inverted right x axis y axis)
TV1 connected 800x600+1280+0 (normal left inverted right x axis y axis) 0mm x 0mm
848x480 30.0 +
640x480 30.0 +
1024x768 30.0
800x600 30.0*

Karel Kraai (homo-bot) wrote :

I'm using Ubuntu 10.04 on a Toshiba laptop and Ubuntu 11.10 on an old HP laptop. Both don't show the s-video in monitor settings.

Paul W Panish (ppanish) wrote :

Is there anything that could be done to raise the priority on this? The problem appears to have been around for a very long time. I've switched back to Linux after many years on Windows in various development environments. I'm very impressed with how Linux has progressed, but it's frustrating and embarassing to be limited to a single monitor in a development environment.

I've experienced the same failure (VGA inoperable, DVI works as expected) in Ubuntu 11.10 on a Toshiba M700 with docking station. This problem appears to affect multiple Intel Chipsets and probably is having a combined effect larger that is being tracked on individual bug reports across organizations.

lspci output:

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 03)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (secondary) (rev 03)
00:03.0 Communication controller: Intel Corporation Mobile PM965/GM965 MEI Controller (rev 03)
00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HBM (ICH8M-E) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
01:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
03:0b.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
03:0b.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
03:0b.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
03:0b.3 SD Host controller: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller

William Nagy (wnags) wrote :

I wonder if this will be fixed before 10.04 loses support......

This bug doesn't affect 10.04; if you have the same issues in 10.04, please open a separate bug.

Angel Garcia (angel-mgv) wrote :

until this moment, with the last ubuntu and the last kernel I have the same bug so I keep using

2.6.35-02063513-generic

and the S-video works on Ubuntu 11.10

Paul W Panish (ppanish) wrote :

After screwing around with things for a few months I've realized my system's behavior is stranger than it originally appeared, and perhaps my problem is a different bug from what's been reported here. Still running the same system from my prior post (Ubuntu 11.10, Toshiba M700 Laptop, Docking Station, Intel GM965/GL960 Integrated Graphics Controller) I've found that I can reliably get dual montors to work with the following procedure:

- Boot with only the VGA monitor attached to the docking station (VGA works normally with LVDS1)
- After boot is complete, connect DVI monitor (output switches to DVI, VGA goes blank)
- Using arandr disable LVDS1 output (output switches back to VGA)
- Using arandr enable DVI output (dual displays active)
- To make DVI primary, disable/enable VGA output

If I boot with the DVI monitor connected I've found no way to get the VGA output to work, even if it is detected by the OS.

I don't know how to debug this in any reasonable fashion. If this is interesting to anyone that can walk me through the relevant data collection steps I'd be glad to get what information I can.

Pete Graner (pgraner) on 2012-04-26
Changed in ubuntu-release-notes:
status: New → Invalid
Jelle Smedts (smedtsjelle) wrote :

I added this case upstream: https://bugs.freedesktop.org/show_bug.cgi?id=49220
it's not exactly the same, yet quite similar

Robert Lowery (rglowery) wrote :

This kernel patch fixes it for me. I'm working with the maintainers upstream to get it merged

--- intel_tv.c.orig 2012-05-19 16:32:21.000000000 +1000
+++ intel_tv.c 2012-05-19 16:33:23.000000000 +1000
@@ -1186,6 +1186,9 @@ intel_tv_detect_type(struct intel_tv *in
  I915_WRITE(TV_DAC, save_tv_dac & ~TVDAC_STATE_CHG_EN);
  I915_WRITE(TV_CTL, save_tv_ctl);

+ intel_wait_for_vblank(intel_tv->base.base.dev,
+ to_intel_crtc(intel_tv->base.base.crtc)->pipe);
+
  /* Restore interrupt config */
  if (connector->polled & DRM_CONNECTOR_POLL_HPD) {
   spin_lock_irqsave(&dev_priv->irq_lock, irqflags);

Jompa89 (jompa89) wrote :

How do you apply this patch?

Robert Lowery (rglowery) wrote :

It applies to the i915 kernel driver file drivers/gpu/drm/i915/intel_tv.c

See https://help.ubuntu.com/community/Kernel/Compile for instructions on building your own kernel

I'm having the same problem with an old DELL Inspiron 1420 I got running Debian, It is reported on:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=663649

The video card is listed as:

Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 0c)

The TV output worked fine until some years ago when it went black and white and a few releases later video was gone.

I checked on the sources of linux 3.2 which I'm currently running (Debian unstable) and this patch is there (line 1313).

The TV output only works when the TV is plugged at start up (when I turn on the laptop) but the output is on black & white, no color. If I plug the TV after the laptop is running it is not detected.

Any clues on what is wrong? maybe I need a module option or something like that.

Thanks.

Same problem is happening on my Acer Aspire 2920 subnotebook. Ubuntu 12.04 Precise is able to detect TV output, as you can see on command below:

user@leo-subnote:~$ xrandr
Screen 0: minimum 320 x 200, current 1920 x 800, maximum 8192 x 8192
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800 60.0*+
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 disconnected (normal left inverted right x axis y axis)
   640x480_60.00 59.4
TV1 connected 640x480+1280+0 (normal left inverted right x axis y axis) 0mm x 0mm
   848x480 59.9 +
   640x480 59.9 +
   1024x768 59.9
   800x600 59.9
   640x480_60.00 59.4*

Ignore last TV1 and VGA1 modes. I added manually for testing purposes, to no avail.

I tested S-Video on Windows XP and it's working fine. Didn't tested on older Ubuntu versions, though.

I'll try applying Robert Lowert's patch on my subnotebook somehow.

@ Robert Lowery

If I'm not mistaken, It seems "drivers/gpu/drm/i915/intel_tv.c" file gererates a kernel module called i915.ko.

So, what if I find a way of editting intel_tv.c file only, generating a i915.ko file afterwards, and then loading this module instead of default one? It'll be less troublesome than recompiling whole kernel. Will it work?

VooDooStevie (voodoostevie) wrote :

This apparently is on the 915 and 965 Intel cards. I am still getting this issue. Been lucky that I have been watching just on the laptop but need the external s-vid for playing. Unfortunately I have succumbed to dual booting Windows and Ubuntu 12.04 because it won't work under Fedora, Mint 13, Kubuntu, Xubuntu, or Lubuntu either.

Changed in linux:
status: Confirmed → Incomplete
Chris Wilson (ickle) wrote :

The original bug reporter is happy. So if you are still encountering problems (on raring), you have a separate issue that should be reported afresh.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Fix Released
Changed in linux:
status: Incomplete → Expired

It seems a really old issue.
I'm experiencing the same problem on Xubuntu 12.04 in 2014 and the listed kernel link not exist anymore.
I confirm the svideo was working perfectly with windows xp, but i don't wanna go back to that rubbish.
Please if there anyone who could solve this problem, let me know.

VooDooStevie (voodoostevie) wrote :

The best suggestion I can give is upgrade to 13.04 or 13.10 the issue
cleared up after then.

----------------------------------------------------------
*Steve Bridges*
<email address hidden>
----------------------------------------------------------

On Fri, Feb 28, 2014 at 6:29 AM, csabanyi laszlo
<email address hidden>wrote:

> It seems a really old issue.
> I'm experiencing the same problem on Xubuntu 12.04 in 2014 and the listed
> kernel link not exist anymore.
> I confirm the svideo was working perfectly with windows xp, but i don't
> wanna go back to that rubbish.
> Please if there anyone who could solve this problem, let me know.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/763688
>
> Title:
> [915GM] S-video output doesn't work in Natty (i386)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/763688/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.